Manifest-Version: 1.0
Bnd-LastModified: 1754080227288
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Change Tracking Service
Bundle-SymbolicName: com.liferay.change.tracking.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.77.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.announcements.kernel.model;version="4.2",com.liferay.announcements
 .kernel.service.persistence;version="4.0",com.liferay.change.tracking
 .closure;version="3.0",com.liferay.change.tracking.conflict;version="
 1.2",com.liferay.change.tracking.exception;version="5.6",com.liferay.
 change.tracking.mapping;version="1.1",com.liferay.change.tracking.mod
 el;version="3.5",com.liferay.change.tracking.service;version="6.2",co
 m.liferay.change.tracking.service.persistence;version="6.5",com.lifer
 ay.change.tracking.spi.display;version="2.1",com.liferay.change.track
 ing.spi.exception;version="1.0",com.liferay.change.tracking.spi.liste
 ner;version="2.0",com.liferay.change.tracking.spi.reference;version="
 1.0",com.liferay.change.tracking.spi.reference.builder;version="1.0",
 com.liferay.change.tracking.spi.resolver;version="1.0",com.liferay.ch
 ange.tracking.spi.resolver.context;version="1.0",com.liferay.change.t
 racking.spi.search;version="1.0",com.liferay.change.tracking.store.mo
 del;version="2.1",com.liferay.counter.kernel.service;version="2.2",co
 m.liferay.expando.kernel.model;version="6.0",com.liferay.expando.kern
 el.service.persistence;version="3.3",com.liferay.expando.kernel.util;
 version="5.0",com.liferay.exportimport.kernel.lar;version="5.0",com.l
 iferay.json.storage.service;version="1.4",com.liferay.osgi.service.tr
 acker.collections.list;version="3.0",com.liferay.osgi.service.tracker
 .collections.map;version="2.3",com.liferay.petra.function;version="1.
 5",com.liferay.petra.lang;version="1.3",com.liferay.petra.sql.dsl;ver
 sion="1.2",com.liferay.petra.sql.dsl.ast;version="1.0",com.liferay.pe
 tra.sql.dsl.base;version="1.0",com.liferay.petra.sql.dsl.expression;v
 ersion="2.0",com.liferay.petra.sql.dsl.query;version="2.0",com.lifera
 y.petra.sql.dsl.query.sort;version="1.0",com.liferay.petra.sql.dsl.sp
 i.ast;version="1.0",com.liferay.petra.sql.dsl.spi.expression;version=
 "2.0",com.liferay.petra.sql.dsl.spi.query;version="2.0",com.liferay.p
 etra.string;version="1.7",com.liferay.portal.aop;version="1.0",com.li
 feray.portal.background.task.display;version="1.0",com.liferay.portal
 .background.task.model;version="3.1",com.liferay.portal.background.ta
 sk.service;version="1.8",com.liferay.portal.configuration.metatype.an
 notations;version="1.8",com.liferay.portal.configuration.metatype.bnd
 .util;version="3.0",com.liferay.portal.dao.orm.common,com.liferay.por
 tal.dao.orm.custom.sql;version="1.1",com.liferay.portal.kernel.aop;ve
 rsion="1.0",com.liferay.portal.kernel.backgroundtask;version="11.0",c
 om.liferay.portal.kernel.backgroundtask.display;version="3.0",com.lif
 eray.portal.kernel.bean;version="10.1",com.liferay.portal.kernel.cach
 e;version="14.0",com.liferay.portal.kernel.change.tracking;version="2
 .2",com.liferay.portal.kernel.change.tracking.sql;version="1.0",com.l
 iferay.portal.kernel.configuration;version="7.0",com.liferay.portal.k
 ernel.dao.db;version="14.0",com.liferay.portal.kernel.dao.jdbc;versio
 n="9.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.liferay.
 portal.kernel.exception;version="13.3",com.liferay.portal.kernel.json
 ;version="12.1",com.liferay.portal.kernel.language;version="11.0",com
 .liferay.portal.kernel.log;version="8.0",com.liferay.portal.kernel.me
 ssaging;version="17.0",com.liferay.portal.kernel.model;version="30.4"
 ,com.liferay.portal.kernel.model.change.tracking;version="3.0",com.li
 feray.portal.kernel.model.impl;version="7.4",com.liferay.portal.kerne
 l.module.framework;version="2.0",com.liferay.portal.kernel.module.fra
 mework.service;version="1.0",com.liferay.portal.kernel.scheduler;vers
 ion="18.1",com.liferay.portal.kernel.scheduler.messaging;version="10.
 0",com.liferay.portal.kernel.search;version="20.2",com.liferay.portal
 .kernel.search.filter;version="1.0",com.liferay.portal.kernel.securit
 y.auth;version="6.1",com.liferay.portal.kernel.security.permission;ve
 rsion="7.0",com.liferay.portal.kernel.security.permission.resource;ve
 rsion="2.3",com.liferay.portal.kernel.security.permission.resource.de
 finition;version="1.0",com.liferay.portal.kernel.service;version="25.
 1",com.liferay.portal.kernel.service.change.tracking;version="1.0",co
 m.liferay.portal.kernel.service.http;version="1.0",com.liferay.portal
 .kernel.service.permission;version="5.0",com.liferay.portal.kernel.se
 rvice.persistence;version="22.1",com.liferay.portal.kernel.service.pe
 rsistence.change.tracking;version="1.4",com.liferay.portal.kernel.ser
 vice.persistence.change.tracking.helper;version="1.1",com.liferay.por
 tal.kernel.service.persistence.impl;version="4.1",com.liferay.portal.
 kernel.template;version="15.0",com.liferay.portal.kernel.transaction;
 version="8.1",com.liferay.portal.kernel.upgrade;version="21.2",com.li
 feray.portal.kernel.util;version="63.0",com.liferay.portal.kernel.uui
 d;version="6.2",com.liferay.portal.kernel.version;version="1.1",com.l
 iferay.portal.model.impl,com.liferay.portal.search.batch;version="2.0
 ",com.liferay.portal.search.model.uid;version="1.1",com.liferay.porta
 l.search.query;version="1.7",com.liferay.portal.search.spi.model.inde
 x.contributor;version="1.2",com.liferay.portal.search.spi.model.index
 .contributor.helper;version="1.0",com.liferay.portal.search.spi.model
 .query.contributor;version="1.1",com.liferay.portal.search.spi.model.
 query.contributor.helper;version="2.0",com.liferay.portal.search.spi.
 model.registrar;version="2.1",com.liferay.portal.search.spi.model.reg
 istrar.contributor;version="1.0",com.liferay.portal.servlet.filters;v
 ersion="1.0",com.liferay.portal.spring.transaction,com.liferay.portal
 .upgrade.registry;version="5.0",javax.servlet,javax.servlet.http,java
 x.sql,org.osgi.framework;version="1.8",org.osgi.util.tracker;version=
 "1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Change Tracking
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.9.1
Liferay-Service: true
Private-Package: com.liferay.change.tracking.internal,com.liferay.chan
 ge.tracking.internal.aop,com.liferay.change.tracking.internal.backgro
 und.task,com.liferay.change.tracking.internal.background.task.display
 ,com.liferay.change.tracking.internal.closure,com.liferay.change.trac
 king.internal.configuration,com.liferay.change.tracking.internal.conf
 lict,com.liferay.change.tracking.internal.helper,com.liferay.change.t
 racking.internal.mapping,com.liferay.change.tracking.internal.messagi
 ng,com.liferay.change.tracking.internal.model.listener,com.liferay.ch
 ange.tracking.internal.reference,com.liferay.change.tracking.internal
 .reference.builder,com.liferay.change.tracking.internal.resolver,com.
 liferay.change.tracking.internal.search,com.liferay.change.tracking.i
 nternal.search.spi.model.index.contributor,com.liferay.change.trackin
 g.internal.search.spi.model.query.contributor,com.liferay.change.trac
 king.internal.security.permission.resource,com.liferay.change.trackin
 g.internal.security.permission.resource.definition,com.liferay.change
 .tracking.internal.servlet.filter,com.liferay.change.tracking.interna
 l.spi.reference,com.liferay.change.tracking.internal.spi.resolver,com
 .liferay.change.tracking.internal.upgrade.registry,com.liferay.change
 .tracking.internal.upgrade.v2_0_0,com.liferay.change.tracking.interna
 l.upgrade.v2_0_0.dependencies,com.liferay.change.tracking.internal.up
 grade.v2_1_0,com.liferay.change.tracking.internal.upgrade.v2_1_0.depe
 ndencies,com.liferay.change.tracking.internal.upgrade.v2_3_0,com.life
 ray.change.tracking.internal.upgrade.v2_4_0,com.liferay.change.tracki
 ng.internal.upgrade.v2_5_0,com.liferay.change.tracking.internal.upgra
 de.v2_5_0.dependencies,com.liferay.change.tracking.internal.upgrade.v
 2_6_0,com.liferay.change.tracking.internal.upgrade.v2_6_0.dependencie
 s,com.liferay.change.tracking.internal.upgrade.v2_7_0,com.liferay.cha
 nge.tracking.internal.upgrade.v2_8_0,com.liferay.change.tracking.inte
 rnal.upgrade.v2_8_0.dependencies,com.liferay.change.tracking.model.im
 pl,com.liferay.change.tracking.service.base,com.liferay.change.tracki
 ng.service.http,com.liferay.change.tracking.service.impl,com.liferay.
 change.tracking.service.persistence.impl,com.liferay.change.tracking.
 service.persistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.closure.CTClosureFactory";uses:="com.liferay.change.
 tracking.closure",osgi.service;objectClass:List<String>="com.liferay.
 change.tracking.internal.CTServiceRegistry";uses:="com.liferay.change
 .tracking.internal",osgi.service;objectClass:List<String>="com.lifera
 y.change.tracking.internal.reference.TableReferenceDefinitionManager"
 ;uses:="com.liferay.change.tracking.internal.reference",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.persist
 ence.CTAutoResolutionInfoPersistence";uses:="com.liferay.change.track
 ing.service.persistence",osgi.service;objectClass:List<String>="com.l
 iferay.change.tracking.service.persistence.CTCollectionPersistence";u
 ses:="com.liferay.change.tracking.service.persistence",osgi.service;o
 bjectClass:List<String>="com.liferay.change.tracking.service.persiste
 nce.CTCollectionTemplatePersistence";uses:="com.liferay.change.tracki
 ng.service.persistence",osgi.service;objectClass:List<String>="com.li
 feray.change.tracking.service.persistence.CTCommentPersistence";uses:
 ="com.liferay.change.tracking.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.change.tracking.service.persistence.
 CTEntryPersistence";uses:="com.liferay.change.tracking.service.persis
 tence",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.service.persistence.CTMessagePersistence";uses:="com.liferay.cha
 nge.tracking.service.persistence",osgi.service;objectClass:List<Strin
 g>="com.liferay.change.tracking.service.persistence.CTPreferencesPers
 istence";uses:="com.liferay.change.tracking.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.change.tracking.servic
 e.persistence.CTProcessPersistence";uses:="com.liferay.change.trackin
 g.service.persistence",osgi.service;objectClass:List<String>="com.lif
 eray.change.tracking.service.persistence.CTRemotePersistence";uses:="
 com.liferay.change.tracking.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.change.tracking.service.persistence.CT
 SchemaVersionPersistence";uses:="com.liferay.change.tracking.service.
 persistence",osgi.service;objectClass:List<String>="com.liferay.chang
 e.tracking.spi.listener.CTEventListener";uses:="com.liferay.change.tr
 acking.spi.listener",osgi.service;objectClass:List<String>="com.lifer
 ay.change.tracking.spi.reference.TableReferenceDefinition";uses:="com
 .liferay.change.tracking.spi.reference",osgi.service;objectClass:List
 <String>="com.liferay.change.tracking.spi.resolver.ConstraintResolver
 ";uses:="com.liferay.change.tracking.spi.resolver",osgi.service;objec
 tClass:List<String>="com.liferay.portal.aop.AopService";uses:="com.li
 feray.portal.aop",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.aop.ChainableMethodAdvice";uses:="com.liferay.portal.ke
 rnel.aop",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.change.tracking.CTCollectionIdSupplier";uses:="com.liferay.port
 al.kernel.change.tracking",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="com.liferay.
 portal.kernel.dao.orm",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.messaging.MessageBusInterceptor";uses:="com.lifera
 y.portal.kernel.messaging",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.model.ModelListener";uses:="com.liferay.portal
 .kernel.model",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.search.DocumentContributor";uses:="com.liferay.portal.kern
 el.search",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.security.permission.resource.ModelResourcePermission";uses:="c
 om.liferay.portal.kernel.security.permission.resource",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.security.permissio
 n.resource.definition.PortletResourcePermissionDefinition";uses:="com
 .liferay.portal.kernel.security.permission.resource.definition",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.service.p
 ersistence.change.tracking.helper.CTPersistenceHelper";uses:="com.lif
 eray.portal.kernel.service.persistence.change.tracking.helper",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.search.spi.model.
 index.contributor.ModelDocumentContributor";uses:="com.liferay.portal
 .search.spi.model.index.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.index.contributor.ModelInd
 exerWriterContributor";uses:="com.liferay.portal.search.spi.model.ind
 ex.contributor",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.spi.model.query.contributor.KeywordQueryContributor";uses
 :="com.liferay.portal.search.spi.model.query.contributor",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.search.spi.model.query
 .contributor.ModelPreFilterContributor";uses:="com.liferay.portal.sea
 rch.spi.model.query.contributor",osgi.service;objectClass:List<String
 >="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses:=
 "com.liferay.portal.upgrade.registry",osgi.service;objectClass:List<S
 tring>="javax.servlet.Filter";uses:="javax.servlet",osgi.service;obje
 ctClass:List<String>="com.liferay.change.tracking.service.CTCollectio
 nLocalService",osgi.service;objectClass:List<String>="com.liferay.cha
 nge.tracking.service.CTCollectionService",osgi.service;objectClass:Li
 st<String>="com.liferay.change.tracking.service.CTCollectionTemplateL
 ocalService",osgi.service;objectClass:List<String>="com.liferay.chang
 e.tracking.service.CTCollectionTemplateService",osgi.service;objectCl
 ass:List<String>="com.liferay.change.tracking.service.CTCommentLocalS
 ervice",osgi.service;objectClass:List<String>="com.liferay.change.tra
 cking.service.CTEntryLocalService",osgi.service;objectClass:List<Stri
 ng>="com.liferay.change.tracking.service.CTMessageLocalService",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.service
 .CTPreferencesLocalService",osgi.service;objectClass:List<String>="co
 m.liferay.change.tracking.service.CTPreferencesService",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.CTProce
 ssLocalService",osgi.service;objectClass:List<String>="com.liferay.ch
 ange.tracking.service.CTProcessService",osgi.service;objectClass:List
 <String>="com.liferay.change.tracking.service.CTRemoteLocalService",o
 sgi.service;objectClass:List<String>="com.liferay.change.tracking.ser
 vice.CTRemoteService",osgi.service;objectClass:List<String>="com.life
 ray.change.tracking.service.CTSchemaVersionLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ann
 ouncements.kernel.service.persistence.AnnouncementsEntryPersistence)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ann
 ouncements.kernel.service.persistence.AnnouncementsFlagPersistence)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.chan
 ge.tracking.closure.CTClosureFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.change.tracking.internal.CTService
 Registry)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.change.tracking.internal.reference.TableReferenceDefinitionMan
 ager)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.change.tracking.service.CTCollectionLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.change.tracking.ser
 vice.CTCollectionTemplateLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.change.tracking.service.CTEntryLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.change.tracking.service.CTMessageLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.change.tracking.
 service.CTPreferencesLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.change.tracking.service.CTProcessLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.change.tracking.service.CTRemoteLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.change.tracking.ser
 vice.CTSchemaVersionLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.change.tracking.service.persistence.CT
 AutoResolutionInfoPersistence)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.change.tracking.service.persistence.CTCol
 lectionPersistence)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.change.tracking.service.persistence.CTCollectionTemp
 latePersistence)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.change.tracking.service.persistence.CTCommentPersistenc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 change.tracking.service.persistence.CTEntryPersistence)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.change.tracking.
 service.persistence.CTMessagePersistence)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.change.tracking.service.persis
 tence.CTPreferencesPersistence)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.change.tracking.service.persistence.CTPr
 ocessPersistence)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.change.tracking.service.persistence.CTRemotePersistenc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 change.tracking.service.persistence.CTSchemaVersionPersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.change.t
 racking.spi.display.CTDisplayRendererRegistry)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.counter.kernel.service.Co
 unterLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.expando.kernel.service.persistence.ExpandoColumnPersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.expando.kernel.service.persistence.ExpandoRowPersistence)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.expando.k
 ernel.service.persistence.ExpandoTablePersistence)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.servic
 e.persistence.ExpandoValuePersistence)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.json.storage.service.JSONStorageE
 ntryLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.background.task.service.BackgroundTaskLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.dao.orm.custom.sql.CustomSQL)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.configuration.Configuration)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.dao.jdbc.CurrentCo
 nnection)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCa
 che)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.language.Language)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.messaging.MessageBus)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.module.framework.ModuleServiceLifecycle)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.scheduler.Sc
 hedulerEngineHelper)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.search.IndexWriterHelper)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 search.IndexerRegistry)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.security.permission.InlineSQLHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.security.permission.resource.ModelResourcePermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.security.permission.resource.PortletResourcePermission)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.ClassNameLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.GroupLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Po
 rtletPreferenceValueLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.PortletPreferenc
 esLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.ReleaseLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.ResourceLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.UserLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.permission.PortletPermission)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.persi
 stence.CompanyPersistence)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.persistence.CountryPers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.persistence.ImagePersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.persistence.ListTypePersistence)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.persisten
 ce.PortalPreferenceValuePersistence)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.service.persistence.P
 ortalPreferencesPersistence)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.persistence.PortletPe
 rsistence)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.persistence.PortletPreferenceValuePersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.persistence.PortletPreferencesPersistence)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.persistence.RegionPersistence)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .persistence.TeamPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.persistence.UserGrou
 pGroupRolePersistence)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.persistence.UserGroupPersis
 tence)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.persistence.UserGroupRolePersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.persistence.VirtualHostPersistence)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Por
 tal)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.uuid.PortalUUID)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.search.batch.DynamicQueryBatchIn
 dexingActionableFactory)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.search.model.uid.UIDFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.search.
 query.QueryHelper)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.search.spi.model.index.contributor.ModelIndexe
 rWriterContributor)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.search.spi.model.registrar.ModelSearchRegistr
 arHelper)";effective:=active,osgi.service;filter:="(objectClass=javax
 .sql.DataSource)";effective:=active,osgi.extender;filter:="(&(osgi.ex
 tender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.cont
 ract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)
 (version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.change.tracking.internal.CTCol
 lectionIdSupplierImpl.xml,OSGI-INF/com.liferay.change.tracking.intern
 al.CTPersistenceHelperImpl.xml,OSGI-INF/com.liferay.change.tracking.i
 nternal.CTServiceRegistry.xml,OSGI-INF/com.liferay.change.tracking.in
 ternal.aop.CTTransactionAdvice.xml,OSGI-INF/com.liferay.change.tracki
 ng.internal.background.task.CTPublishBackgroundTaskExecutor.xml,OSGI-
 INF/com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl
 .xml,OSGI-INF/com.liferay.change.tracking.internal.messaging.CTMessag
 eBusInterceptor.xml,OSGI-INF/com.liferay.change.tracking.internal.mes
 saging.CTMessageEventListener.xml,OSGI-INF/com.liferay.change.trackin
 g.internal.model.listener.BackgroundTaskModelListener.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.model.listener.CTCollectionModelLi
 stener.xml,OSGI-INF/com.liferay.change.tracking.internal.model.listen
 er.ReleaseModelListener.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.model.listener.UserModelListener.xml,OSGI-INF/com.liferay.change
 .tracking.internal.reference.TableReferenceDefinitionManager.xml,OSGI
 -INF/com.liferay.change.tracking.internal.search.CTCollectionSearchRe
 gistrar.xml,OSGI-INF/com.liferay.change.tracking.internal.search.CTEn
 trySearchRegistrar.xml,OSGI-INF/com.liferay.change.tracking.internal.
 search.CTModelDocumentContributor.xml,OSGI-INF/com.liferay.change.tra
 cking.internal.search.CTProcessSearchRegistrar.xml,OSGI-INF/com.lifer
 ay.change.tracking.internal.search.CTRemoteSearchRegistrar.xml,OSGI-I
 NF/com.liferay.change.tracking.internal.search.CTSearchEventListener.
 xml,OSGI-INF/com.liferay.change.tracking.internal.search.spi.model.in
 dex.contributor.CTCollectionModelDocumentContributor.xml,OSGI-INF/com
 .liferay.change.tracking.internal.search.spi.model.index.contributor.
 CTCollectionModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.ch
 ange.tracking.internal.search.spi.model.index.contributor.CTEntryMode
 lDocumentContributor.xml,OSGI-INF/com.liferay.change.tracking.interna
 l.search.spi.model.index.contributor.CTEntryModelIndexerWriterContrib
 utor.xml,OSGI-INF/com.liferay.change.tracking.internal.search.spi.mod
 el.index.contributor.CTProcessModelDocumentContributor.xml,OSGI-INF/c
 om.liferay.change.tracking.internal.search.spi.model.index.contributo
 r.CTProcessModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.cha
 nge.tracking.internal.search.spi.model.index.contributor.CTRemoteMode
 lDocumentContributor.xml,OSGI-INF/com.liferay.change.tracking.interna
 l.search.spi.model.index.contributor.CTRemoteModelIndexerWriterContri
 butor.xml,OSGI-INF/com.liferay.change.tracking.internal.search.spi.mo
 del.query.contributor.CTCollectionKeywordQueryContributor.xml,OSGI-IN
 F/com.liferay.change.tracking.internal.search.spi.model.query.contrib
 utor.CTCollectionModelPreFilterContributor.xml,OSGI-INF/com.liferay.c
 hange.tracking.internal.search.spi.model.query.contributor.CTEntryKey
 wordQueryContributor.xml,OSGI-INF/com.liferay.change.tracking.interna
 l.search.spi.model.query.contributor.CTEntryModelPreFilterContributor
 .xml,OSGI-INF/com.liferay.change.tracking.internal.search.spi.model.q
 uery.contributor.CTModelPreFilterContributor.xml,OSGI-INF/com.liferay
 .change.tracking.internal.search.spi.model.query.contributor.CTProces
 sKeywordQueryContributor.xml,OSGI-INF/com.liferay.change.tracking.int
 ernal.search.spi.model.query.contributor.CTProcessModelPreFilterContr
 ibutor.xml,OSGI-INF/com.liferay.change.tracking.internal.security.per
 mission.resource.CTCollectionModelResourcePermission.xml,OSGI-INF/com
 .liferay.change.tracking.internal.security.permission.resource.CTColl
 ectionTemplateModelResourcePermission.xml,OSGI-INF/com.liferay.change
 .tracking.internal.security.permission.resource.CTRemoteModelResource
 Permission.xml,OSGI-INF/com.liferay.change.tracking.internal.security
 .permission.resource.definition.ChangeListsPortletResourcePermissionD
 efinition.xml,OSGI-INF/com.liferay.change.tracking.internal.servlet.f
 ilter.CTCollectionPreviewFilter.xml,OSGI-INF/com.liferay.change.track
 ing.internal.spi.reference.AnnouncementsEntryTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.Anno
 uncementsFlagTableReferenceDefinition.xml,OSGI-INF/com.liferay.change
 .tracking.internal.spi.reference.CompanyTableReferenceDefinition.xml,
 OSGI-INF/com.liferay.change.tracking.internal.spi.reference.CountryTa
 bleReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.inter
 nal.spi.reference.ExpandoColumnTableReferenceDefinition.xml,OSGI-INF/
 com.liferay.change.tracking.internal.spi.reference.ExpandoRowTableRef
 erenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.sp
 i.reference.ExpandoTableTableReferenceDefinition.xml,OSGI-INF/com.lif
 eray.change.tracking.internal.spi.reference.ExpandoValueTableReferenc
 eDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.ref
 erence.ImageTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.
 tracking.internal.spi.reference.ListTypeTableReferenceDefinition.xml,
 OSGI-INF/com.liferay.change.tracking.internal.spi.reference.PortalPre
 ferenceValueTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.
 tracking.internal.spi.reference.PortalPreferencesTableReferenceDefini
 tion.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.
 PortletPreferenceTableReferenceDefinition.xml,OSGI-INF/com.liferay.ch
 ange.tracking.internal.spi.reference.PortletPreferenceValueTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.
 reference.PortletTableReferenceDefinition.xml,OSGI-INF/com.liferay.ch
 ange.tracking.internal.spi.reference.RegionTableReferenceDefinition.x
 ml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.TeamTa
 bleReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.inter
 nal.spi.reference.UserGroupGroupRoleTableReferenceDefinition.xml,OSGI
 -INF/com.liferay.change.tracking.internal.spi.reference.UserGroupRole
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.int
 ernal.spi.reference.UserGroupTableReferenceDefinition.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.spi.reference.VirtualHostTableRefe
 renceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi
 .resolver.PortletPreferenceConstraintResolver.xml,OSGI-INF/com.lifera
 y.change.tracking.internal.upgrade.registry.ChangeTrackingServiceUpgr
 adeStepRegistrator.xml,OSGI-INF/com.liferay.change.tracking.service.i
 mpl.CTCollectionLocalServiceImpl.xml,OSGI-INF/com.liferay.change.trac
 king.service.impl.CTCollectionServiceImpl.xml,OSGI-INF/com.liferay.ch
 ange.tracking.service.impl.CTCollectionTemplateLocalServiceImpl.xml,O
 SGI-INF/com.liferay.change.tracking.service.impl.CTCollectionTemplate
 ServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTC
 ommentLocalServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.servi
 ce.impl.CTEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.change.track
 ing.service.impl.CTMessageLocalServiceImpl.xml,OSGI-INF/com.liferay.c
 hange.tracking.service.impl.CTPreferencesLocalServiceImpl.xml,OSGI-IN
 F/com.liferay.change.tracking.service.impl.CTPreferencesServiceImpl.x
 ml,OSGI-INF/com.liferay.change.tracking.service.impl.CTProcessLocalSe
 rviceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTPro
 cessServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl
 .CTRemoteLocalServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.se
 rvice.impl.CTRemoteServiceImpl.xml,OSGI-INF/com.liferay.change.tracki
 ng.service.impl.CTSchemaVersionLocalServiceImpl.xml,OSGI-INF/com.life
 ray.change.tracking.service.persistence.impl.CTAutoResolutionInfoMode
 lArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.p
 ersistence.impl.CTAutoResolutionInfoPersistenceImpl.xml,OSGI-INF/com.
 liferay.change.tracking.service.persistence.impl.CTCollectionModelArg
 umentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.persi
 stence.impl.CTCollectionPersistenceImpl.xml,OSGI-INF/com.liferay.chan
 ge.tracking.service.persistence.impl.CTCollectionTemplateModelArgumen
 tsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.persisten
 ce.impl.CTCollectionTemplatePersistenceImpl.xml,OSGI-INF/com.liferay.
 change.tracking.service.persistence.impl.CTCommentModelArgumentsResol
 ver.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl
 .CTCommentPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracking.se
 rvice.persistence.impl.CTEntryModelArgumentsResolver.xml,OSGI-INF/com
 .liferay.change.tracking.service.persistence.impl.CTEntryPersistenceI
 mpl.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl
 .CTMessageModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.trac
 king.service.persistence.impl.CTMessagePersistenceImpl.xml,OSGI-INF/c
 om.liferay.change.tracking.service.persistence.impl.CTPreferencesMode
 lArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.p
 ersistence.impl.CTPreferencesPersistenceImpl.xml,OSGI-INF/com.liferay
 .change.tracking.service.persistence.impl.CTProcessModelArgumentsReso
 lver.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.imp
 l.CTProcessPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracking.s
 ervice.persistence.impl.CTRemoteModelArgumentsResolver.xml,OSGI-INF/c
 om.liferay.change.tracking.service.persistence.impl.CTRemotePersisten
 ceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.i
 mpl.CTSchemaVersionModelArgumentsResolver.xml,OSGI-INF/com.liferay.ch
 ange.tracking.service.persistence.impl.CTSchemaVersionPersistenceImpl
 .xml
Tool: Bnd-5.3.0.202102221516

